org.springframework.beans.factory.parsing

## Class ConstructorArgumentEntry

- java.lang.Object
- - org.springframework.beans.factory.parsing.ConstructorArgumentEntry

- All Implemented Interfaces:
    ParseState.Entry

      public class ConstructorArgumentEntry
      extends Object
      implements ParseState.Entry

  `ParseState` entry representing a (possibly indexed) constructor argument.
  Since:
    2.0
  Author:
    Rob Harrop, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructorArgumentEntry()` Creates a new instance of the `ConstructorArgumentEntry` class representing a constructor argument with a (currently) unknown index.
    `ConstructorArgumentEntry(int index)` Creates a new instance of the `ConstructorArgumentEntry` class representing a constructor argument at the supplied `index`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructorArgumentEntry

          public ConstructorArgumentEntry()

      Creates a new instance of the `ConstructorArgumentEntry` class representing a constructor argument with a (currently) unknown index.

    - #### ConstructorArgumentEntry

          public ConstructorArgumentEntry(int index)

      Creates a new instance of the `ConstructorArgumentEntry` class representing a constructor argument at the supplied `index`.
      Parameters:
        `index` - the index of the constructor argument
      Throws:
        `IllegalArgumentException` - if the supplied `index` is less than zero

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`